# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget tesseract::tesseract_collision_core tesseract::tesseract_collision_test_suite tesseract::tesseract_collision_test_suite_benchmarks tesseract::create_convex_hull tesseract::tesseract_collision_bullet tesseract::tesseract_collision_bullet_factories tesseract::tesseract_collision_fcl tesseract::tesseract_collision_fcl_factories tesseract::tesseract_collision_vhacd tesseract::tesseract_collision_vhacd_convex_decomposition)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target tesseract::tesseract_collision_core
add_library(tesseract::tesseract_collision_core SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_core PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Eigen3::Eigen;tesseract::tesseract_common;tesseract::tesseract_geometry;Boost::boost;Boost::system;yaml-cpp"
)

# Create imported target tesseract::tesseract_collision_test_suite
add_library(tesseract::tesseract_collision_test_suite INTERFACE IMPORTED)

set_target_properties(tesseract::tesseract_collision_test_suite PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Eigen3::Eigen;tesseract::tesseract_support;tesseract::tesseract_geometry;tesseract::tesseract_collision_core"
)

# Create imported target tesseract::tesseract_collision_test_suite_benchmarks
add_library(tesseract::tesseract_collision_test_suite_benchmarks INTERFACE IMPORTED)

set_target_properties(tesseract::tesseract_collision_test_suite_benchmarks PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Eigen3::Eigen;tesseract::tesseract_support;tesseract::tesseract_geometry"
)

# Create imported target tesseract::create_convex_hull
add_executable(tesseract::create_convex_hull IMPORTED)

# Create imported target tesseract::tesseract_collision_bullet
add_library(tesseract::tesseract_collision_bullet SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_bullet PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_collision_core;Eigen3::Eigen;Bullet3::Bullet;tesseract::tesseract_geometry;console_bridge::console_bridge;octomap;octomath"
)

# Create imported target tesseract::tesseract_collision_bullet_factories
add_library(tesseract::tesseract_collision_bullet_factories SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_bullet_factories PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_collision_bullet"
)

# Create imported target tesseract::tesseract_collision_fcl
add_library(tesseract::tesseract_collision_fcl SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_fcl PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_collision_core;Eigen3::Eigen;tesseract::tesseract_geometry;fcl;console_bridge::console_bridge;octomap;octomath"
)

# Create imported target tesseract::tesseract_collision_fcl_factories
add_library(tesseract::tesseract_collision_fcl_factories SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_fcl_factories PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_collision_fcl"
)

# Create imported target tesseract::tesseract_collision_vhacd
add_library(tesseract::tesseract_collision_vhacd SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_vhacd PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "OpenMP::OpenMP_CXX;tesseract::tesseract_common;Eigen3::Eigen;Bullet3::Bullet"
)

# Create imported target tesseract::tesseract_collision_vhacd_convex_decomposition
add_library(tesseract::tesseract_collision_vhacd_convex_decomposition SHARED IMPORTED)

set_target_properties(tesseract::tesseract_collision_vhacd_convex_decomposition PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_collision_core;tesseract::tesseract_collision_bullet;tesseract::tesseract_collision_vhacd;Eigen3::Eigen;tesseract::tesseract_geometry;console_bridge::console_bridge"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/tesseract_collision-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
